#!/bin/sh

set +e

###############################################################################
# Licensed Materials - Property of Tivoli Systems
# 5697-GEM
# (C) COPYRIGHT Tivoli Systems, an IBM Company 1999, 2000
# All rights reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###############################################################################
#
###############################################################################
changeDirectory()
{
  for FILENAME in `ls $DIRNAME` ; do
    if [ -f $DIRNAME/$FILENAME ] ; then
      chmod 777 $DIRNAME/$FILENAME
    elif [ -d $DIRNAME/$FILENAME ] ; then
       chmod 777 $DIRNAME/$FILENAME
       oldDirname=$DIRNAME
       DIRNAME=$DIRNAME/$FILENAME
       changeDirectory
       DIRNAME=$oldDirname
    fi
  done
}

###############################################################################
#  Main
###############################################################################
#if [ -n "$windir" ] ; then
#  WINOS=`echo $windir | awk /:/'{ print substr($1,4) }'`
#  WINDRIVE=`echo $windir | awk /:/'{ print substr($1,1,2) }'`
#fi
#
#if [ -n "$WINOS" ] ; then
#  source $WINDRIVE/$WINOS/system32/drivers/etc/Tivoli/setup_env.sh
#elif [ -n "$OS2_SHELL" ] ; then
#  exit 0
#else . /etc/Tivoli/setup_env.sh
#fi

###############################################################################
# Locate GEM installation root"
###############################################################################
root=$BINDIR/../generic_unix/TDS/client

###############################################################################
# Ensure file permissions allow multiple operators and operators other than root
###############################################################################
if [ "$INTERP" != "w32-ix86" ] && [ "$INTERP" != "os2-ix86" ] && [ "$INTERP" != "win95" ] ; then
  if [ -d $root ] ; then
    cd $root
    for DIRNAME in `ls` ; do
      if [ -d $DIRNAME ] ; then
        chmod 777 $DIRNAME
        changeDirectory
      elif [ -f $DIRNAME ] ; then
        chmod 777 $DIRNAME
      fi
    done
  fi
fi

