#!/bin/sh

###############################################################################
# Licensed Materials - Property of Tivoli Systems
# 5697-GEM
# 5697-B82
# (C) COPYRIGHT Tivoli Systems, an IBM Company 1997, 1999
# All rights reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###############################################################################

IPATH="/usr/local/Tivoli/bin/generic_unix/TDS/ibmflb"            # install path

###############################################################################
# Create JAVA_LIB and JAVA_CMD environment variable accourding to INTERP 
# NOTE: JRE or JDK must be installed into $IPATH/../../../[INTERP]/TDS/java
###############################################################################
JAVA_LIB=""
JAVA_CMD=""
JAVA_OPTS=" "

if [ -d /usr/local/Tivoli/bin/aix4-r1 ] ; then
{
	IJAVA="/usr/local/Tivoli/bin/aix4-r1/TDS/jre"
        JAVA_CMD="$IJAVA/bin/java"
        JAVA_LIB="$IJAVA/lib/rt.jar:$IJAVA/lib/i18n.jar"
	JAVA_OPTS=""        
}
elif [ -d $IPATH/../../../solaris2/TDS/java ] ; then
{
        IJAVA="$IPATH/../../../solaris2/TDS/java"
        JAVA_CMD="$IJAVA/bin/java"
        JAVA_LIB="$IJAVA/lib/rt.jar:$IJAVA/lib/i18n.jar"
}
elif [ -d $IPATH/../../../hpux11/TDS/java ] ; then
{
        IJAVA="$IPATH/../../../hpux11/TDS/java"
        JAVA_CMD="$IJAVA/bin/java"
        JAVA_LIB="$IJAVA/lib/rt.jar:$IJAVA/lib/i18n.jar"
}
elif [ -d $IPATH/../../../linux-ix86/TDS/java ] ; then
{
        IJAVA="$IPATH/../../../linux-ix86/TDS/java"
        JAVA_CMD="$IJAVA/bin/java"
        JAVA_LIB="$IJAVA/lib/rt.jar:$IJAVA/lib/i18n.jar"
}

else
	echo 'Error: Interp or JRE not found.'
        return
fi

CP_RUN=".:./jars/tguide.jar:${JAVA_LIB}"

${JAVA_CMD} ${JAVA_OPTS} -classpath ${CP_RUN} SmartGuide FLB_Nvinstal
